Subject: Re: [PATCH v2b 00/16, 2 updates] Make the msvc-build scripts work again

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Jul 2015 12:25:10 -0700

"Philip Oakley" <[email-masked]> writes:

> ... Ideally, if part of this
> mainstream Git, it would get picked up automatically by them
> (rather than being local 'fixes' endlessly carried forward).

Actually, that is not "ideal", but what I want to avoid.

As I do not do Windows, it simply is wrong for me to apply changes
that are very likely to affect Windows folks without seeing their
support first, which they may end up having to revert on their end
and endlessly carry that revert forward.  That is why I very much
prefer to see changes get there first and then forwarded in my
direction once they are happy with them.

> There has been no activity here on the 'create a visual studio project'
> aspects in the last few years. Any changes listed in the logs relate to
> ensuring that the MSVC compiler will run as part of a regular Makefile
> run (IIUC). The last significant commit was 74cf9bd (engine.pl: Fix a
> recent breakage of the buildsystem generator, 2010-01-22) Ramsay Jones,
> so that's five and a half years.

I think Ramsay is still around on the list; I do not know if he
still does Windows, though.